A Document is a file of any type that might be associated with a Sample or Analysis. Examples of such files include: FAST5 files form Oxford Nanopore, PDF reports generated by our notebook service, and Excel spreadsheets containing metadata.Documents uploaded to One Codex are stored securely and can be shared with members of your organization. Uploading Documents requires two direct API calls: one to start the upload, and one to confirm that the upload succeeded. If you need to upload a compressed file over 20GB in size, please contact us for help at support@onecodex.com.The below table summarizes all of the properties for the Document resource, with the JSON schema type of each property listed below in italics. Details on how to upload, modify, and retrieve Documents follow.
An (optionally empty) array of references to users that the document has been shared with. These users are able to download (but not modify) the document.
A reference to the user that uploaded and owns the document, e.g., {"$ref": "/api/v1/users/5891ee65711c4d5e"}. Only owners can modify a document (with some exceptions in the case of organization accounts configured for multiple users - please contact us if you'd like to discuss this use case).
Show child attributes
⌘I
{"docsConfig":{"theme":"willow","$schema":"https://mintlify.com/docs.json","name":"One Codex Developer Docs","description":"Documentation for the One Codex API and Python SDK. One Codex is a fast, easy-to-use platform for microbiome sequencing and analysis.","colors":{"primary":"#179B9A","light":"#6BC7B7","dark":"#179B9A"},"logo":{"light":"https://mintcdn.com/onecodex/DiToQ9fYtYBO3lRU/images/onecodex-logo-inverse@2x.png?fit=max\u0026auto=format\u0026n=DiToQ9fYtYBO3lRU\u0026q=85\u0026s=5cd285bf3bec7809faf0d8cd8274bb38","dark":"https://mintcdn.com/onecodex/DiToQ9fYtYBO3lRU/images/onecodex-logo@2x.png?fit=max\u0026auto=format\u0026n=DiToQ9fYtYBO3lRU\u0026q=85\u0026s=61398ceaeb352dc656dd2bdfecd053ff"},"favicon":"https://mintcdn.com/onecodex/DiToQ9fYtYBO3lRU/ocx_favicon-64.png?fit=max\u0026auto=format\u0026n=DiToQ9fYtYBO3lRU\u0026q=85\u0026s=697811a0b3a57d419f2e697f4c6e1da3","navbar":{"links":[{"href":"mailto:support@onecodex.com","label":"Support"},{"href":"https://onecodex.github.io/onecodex/","label":"Python SDK"}],"primary":{"type":"button","label":"Platform","href":"https://app.onecodex.com"}},"footer":{"socials":{"x":"https://x.com/onecodex","bluesky":"https://bsky.app/profile/onecodex.bsky.social","github":"https://github.com/onecodex","linkedin":"https://linkedin.com/company/onecodex"}},"styling":{"latex":false},"navigation":{"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"onecodex","hasAudioNarration":false,"actualSubdomain":"onecodex","customDomains":["developer.onecodex.com"],"gitSource":{"type":"github","owner":"onecodex","repo":"mainline","deployBranch":"master","contentDirectory":"docs","isPrivate":true,"mountPath":"","label":""},"chroma":{"liveDeploymentHistoryId":"6ada70f7059de5a640576a22","collectionId":"28a4489c-743b-4516-a9b1-0d7391717952","schemaVersion":"v3","latestBuiltDeploymentHistoryId":"6ada70f7059de5a640576a22"},"entitlements":{"AI_CHAT":{"status":"DISABLED"}},"buildId":"6ada70f7059de5a640576a22","clientVersion":"0.0.4076","searchFilterCounts":[{"language":"default","tag":"API Docs","count":103},{"language":"default","tag":"Analyses","count":30},{"language":"default","tag":"Workflows","count":19},{"language":"default","tag":"Documents","count":11},{"language":"default","tag":"Projects","count":11},{"language":"default","tag":"Samples","count":11},{"language":"default","tag":"API Basics","count":8},{"language":"default","tag":"Metadata \u0026 Tags","count":8},{"language":"default","tag":"Webhooks \u0026 Events","count":7},{"language":"default","tag":"Jobs","count":7}]},"assistantConfig":{},"basePath":"","hasChatPermissions":false,"hasWebMcpPermissions":false,"toggles":[],"googleFontsInlined":true},"customCss":[],"page":{"pagePath":"api-reference/document-resource","slug":"/api-reference/document-resource","pageMetadata":{"title":"The Document Resource","openapi-schema":"documents","description":null,"href":"/api-reference/document-resource"},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx,jsxs:_jsxs}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){const _components={a:`a`,em:`em`,p:`p`,strong:`strong`,..._provideComponents(),...props.components};return _jsxs(_Fragment,{children:[_jsx(_components.p,{children:`A Document is a file of any type that might be associated with a Sample or Analysis. Examples of such files include: FAST5 files form Oxford Nanopore, PDF reports generated by our notebook service, and Excel spreadsheets containing metadata.`}),`\n`,_jsxs(_components.p,{children:[`Documents uploaded to One Codex are stored securely and can be shared with members of your organization. Uploading Documents requires two direct API calls: one to start the upload, and one to confirm that the upload succeeded. If you need to upload a compressed file `,_jsx(_components.em,{children:`over`}),` 20GB in size, please contact us for help at `,_jsx(_components.a,{href:`mailto:support@onecodex.com`,children:`support@onecodex.com`}),`.`]}),`\n`,_jsxs(_components.p,{children:[`The below table summarizes all of the `,_jsx(_components.strong,{children:`properties`}),` for the Document resource, with the JSON schema type of each property listed below in italics. Details on how to upload, modify, and retrieve Documents follow.`]})]})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"The Document Resource","openapi-schema":"documents","description":null,"href":"/api-reference/document-resource"}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[],"codeExamples":{}},"jsLinks":["/_mintlify/custom/onecodex/38c32b33da45a451/restore-ref.js"],"openApiReferenceData":{"schemaData":{"properties":{"$uri":{"example":"/api/v1/documents/0d77065796f8d173","pattern":"^/api/v1/documents/[a-f0-9]{16}$","readOnly":true,"title":"$Uri","type":"string","isRequired":true,"uniqueKey":"$uri","typeLabel":"string"},"created_at":{"description":"Timestamp for when the object was created on the One Codex platform, encoded as a [RFC 3339](https://www.ietf.org/rfc/rfc3339.txt) timestamp.","format":"date-time","title":"Created At","type":"string","isRequired":true,"uniqueKey":"created_at","typeLabel":"string\u003cdate-time>"},"downloaders":{"description":"An (optionally empty) array of references to users that the document has been shared with. These users are able to download (but not modify) the document.","items":{"properties":{"__DOLLAR_REF__":{"example":"/api/v1/users/a1b2c3d4e5f67890","format":"uri","pattern":"^/api/v1/users/[a-f0-9]{16}$","type":"string","uniqueKey":"downloaders.items.[INDEX].__DOLLAR_REF__","typeLabel":"string\u003curi>"}},"title":"users","type":"object","uniqueKey":"downloaders.items.[INDEX]","typeLabel":"users · object"},"title":"Downloaders","type":"array","isRequired":true,"uniqueKey":"downloaders","typeLabel":"users · object[]"},"filename":{"description":"The document filename (e.g., \"report.pdf\")","title":"Filename","type":"string","isRequired":true,"uniqueKey":"filename","typeLabel":"string"},"size":{"oneOf":[{"type":"integer","title":"Size","description":"The size of the document in bytes.","minimum":1,"isRequired":true,"uniqueKey":"size.oneOf.0","typeLabel":"integer"},{"type":"null","title":"Size","description":"The size of the document in bytes.","isRequired":true,"uniqueKey":"size.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"size","typeLabel":"integer | null"},"uploader":{"description":"A reference to the user that uploaded and owns the document, e.g., `{\"$ref\": \"/api/v1/users/5891ee65711c4d5e\"}`. Only owners can modify a document (with some exceptions in the case of organization accounts configured for multiple users - please [contact us](mailto:support@onecodex.com) if you'd like to discuss this use case).","properties":{"__DOLLAR_REF__":{"example":"/api/v1/users/a1b2c3d4e5f67890","format":"uri","pattern":"^/api/v1/users/[a-f0-9]{16}$","type":"string","uniqueKey":"uploader.__DOLLAR_REF__","typeLabel":"string\u003curi>"}},"title":"users","type":"object","isRequired":true,"uniqueKey":"uploader","typeLabel":"users · object"}},"required":["$uri","created_at","downloaders","filename","size","uploader"],"title":"documents","type":"object","uniqueKey":"","typeLabel":"documents · object","example":{"title":"Example","value":{"$uri":"/api/v1/documents/0d77065796f8d173","created_at":"2023-11-07T05:31:56Z","downloaders":[{"__DOLLAR_REF__":"/api/v1/users/a1b2c3d4e5f67890"}],"filename":"\u003cstring>","size":2,"uploader":{"__DOLLAR_REF__":"/api/v1/users/a1b2c3d4e5f67890"}}}},"originalFileLocation":"openapi-mintlify.json"},"subdomain":"onecodex","siteName":"One Codex Developer Docs","title":"The Document Resource - One Codex Developer Docs","navMaps":{"firstHrefInVersion":{},"firstHrefInLanguage":{}},"lastModified":"2026-09-15T09:07:09.144Z","originalFileLocation":"api-reference/document-resource.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"system\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"application-name\" content=\"One Codex Developer Docs\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/onecodex/Wn_cD8jjSYN9-4U4/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/onecodex/Wn_cD8jjSYN9-4U4/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/onecodex/Wn_cD8jjSYN9-4U4/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/onecodex/Wn_cD8jjSYN9-4U4/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/onecodex/Wn_cD8jjSYN9-4U4/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/onecodex/Wn_cD8jjSYN9-4U4/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/onecodex/Wn_cD8jjSYN9-4U4/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/onecodex/Wn_cD8jjSYN9-4U4/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/onecodex/Wn_cD8jjSYN9-4U4/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"The Document Resource - One Codex Developer Docs\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"One Codex Developer Docs\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://developer.onecodex.com/api-reference/document-resource\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://onecodex.mintlify.site/_mintlify/api/og/v2?division=Documents\u0026amp;title=The+Document+Resource\u0026amp;theme=c55a80f222f8860115ec6bfc\u0026amp;signature=73eefcacc81e0aa19ee4450984957f46c1db3df30333f7c63257a834f991b2ae\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"The Document Resource - One Codex Developer Docs\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://onecodex.mintlify.site/_mintlify/api/og/v2?division=Documents\u0026amp;title=The+Document+Resource\u0026amp;theme=c55a80f222f8860115ec6bfc\u0026amp;signature=73eefcacc81e0aa19ee4450984957f46c1db3df30333f7c63257a834f991b2ae\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/onecodex/Wn_cD8jjSYN9-4U4/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"One Codex Developer Docs\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#179B9A\">\u003clink data-mint-head rel=\"canonical\" href=\"https://developer.onecodex.com/api-reference/document-resource\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/api-reference/document-resource.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://developer.onecodex.com/#organization\",\"name\":\"One Codex Developer Docs\",\"url\":\"https://developer.onecodex.com\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/onecodex/DiToQ9fYtYBO3lRU/images/onecodex-logo-inverse@2x.png?fit=max\u0026auto=format\u0026n=DiToQ9fYtYBO3lRU\u0026q=85\u0026s=5cd285bf3bec7809faf0d8cd8274bb38\"}},{\"@type\":\"WebSite\",\"@id\":\"https://developer.onecodex.com#website\",\"name\":\"One Codex Developer Docs\",\"url\":\"https://developer.onecodex.com\",\"publisher\":{\"@id\":\"https://developer.onecodex.com/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://developer.onecodex.com/api-reference/document-resource#webpage\",\"url\":\"https://developer.onecodex.com/api-reference/document-resource\",\"name\":\"The Document Resource\",\"dateModified\":\"2026-09-15T09:07:09.144Z\",\"isPartOf\":{\"@id\":\"https://developer.onecodex.com#website\"},\"breadcrumb\":{\"@id\":\"https://developer.onecodex.com/api-reference/document-resource#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://developer.onecodex.com/api-reference/document-resource#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"One Codex Developer Docs\",\"item\":\"https://developer.onecodex.com\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"The Document Resource\",\"item\":\"https://developer.onecodex.com/api-reference/document-resource\"}]},{\"@type\":[\"TechArticle\",\"APIReference\"],\"@id\":\"https://developer.onecodex.com/api-reference/document-resource#apireference\",\"headline\":\"The Document Resource\",\"name\":\"The Document Resource\",\"url\":\"https://developer.onecodex.com/api-reference/document-resource\",\"mainEntityOfPage\":{\"@id\":\"https://developer.onecodex.com/api-reference/document-resource#webpage\"},\"dateModified\":\"2026-09-15T09:07:09.144Z\",\"publisher\":{\"@id\":\"https://developer.onecodex.com/#organization\"},\"isPartOf\":{\"@id\":\"https://developer.onecodex.com#website\"}}]}\u003c/script>\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"One Codex Developer Docs\",\"creator\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","siteName":"One Codex Developer Docs","nav":{"global":null,"tabs":[{"tab":"API Docs","groups":[{"group":"API Basics","pages":[{"title":"Getting Started","href":"/api-reference/getting-started"},{"title":"Authentication","href":"/api-reference/authentication"},{"title":"API Documentation","href":"/api-reference/api-documentation"},{"title":"CLI \u0026 Client Library (Python)","href":"/api-reference/command-line-interface"},{"title":"Jupyter Notebooks","href":"/api-reference/jupyter-notebooks"},{"title":"Pagination","href":"/api-reference/pagination"},{"title":"Errors","href":"/api-reference/errors"},{"title":"Rate Limits","href":"/api-reference/rate-limits"}]},{"group":"Samples","pages":[{"title":"The Sample Resource","href":"/api-reference/sample-resource"},{"title":"Retrieve All Samples","openapi":"GET /api/v1/samples","href":"/api-reference/sample-resource-instances"},{"title":"Retrieve A Sample","openapi":"GET /api/v1/samples/{id}","href":"/api-reference/sample-resource-get"},{"title":"Retrieve Public Samples","openapi":"GET /api/v1/samples/public","href":"/api-reference/sample-resource-instances-public"},{"group":"Uploading Samples","pages":[{"title":"Uploads Overview","href":"/api-reference/uploading-samples"},{"title":"Starting an Upload","openapi":"POST /api/v1/samples/init_upload","href":"/api-reference/sample-resource-upload-file"},{"title":"Confirming an Upload","openapi":"POST /api/v1/samples/confirm_upload","href":"/api-reference/sample-resource-confirm-upload"},{"title":"Pre-Uploading Samples","openapi":"POST /api/v1/samples/preupload","href":"/api-reference/sample-resource-preupload"}]},{"title":"Updating Samples","openapi":"Patch /api/v1/samples/{id}","href":"/api-reference/sample-resource-patch"},{"title":"Downloading Sequence Data","openapi":"POST /api/v1/samples/{id}/download_uri","href":"/api-reference/sample-resource-download"},{"title":"Delete A Sample","openapi":"DELETE /api/v1/samples/{id}","href":"/api-reference/sample-resource-delete"}]},{"group":"Projects","pages":[{"title":"The Project Resource","href":"/api-reference/project-resource"},{"title":"Retrieve All Projects","openapi":"GET /api/v1/projects","href":"/api-reference/project-resource-instances"},{"title":"Retrieve Public Projects","openapi":"GET /api/v1/projects/public","href":"/api-reference/project-resource-instances-public"},{"title":"Retrieve A Project","openapi":"GET /api/v1/projects/{id}","href":"/api-reference/project-resource-get"},{"title":"Create A Project","openapi":"POST /api/v1/projects","href":"/api-reference/project-resource-create"},{"title":"Update A Project","openapi":"PATCH /api/v1/projects/{id}","href":"/api-reference/project-resource-patch"},{"title":"Delete A Project","openapi":"DELETE /api/v1/projects/{id}","href":"/api-reference/project-resource-delete"},{"group":"Sharing \u0026 Members","pages":[{"title":"List Project Members","openapi":"GET /api/v1/projects/{id}/members","href":"/api-reference/project-resource-members"},{"title":"Add A User To A Project","openapi":"POST /api/v1/projects/{id}/add_user","href":"/api-reference/project-resource-add-user"},{"title":"Remove A User From A Project","openapi":"POST /api/v1/projects/{id}/remove_user","href":"/api-reference/project-resource-remove-user"},{"title":"Change Project Sharing","openapi":"POST /api/v1/projects/{id}/change_sharing","href":"/api-reference/project-resource-change-sharing"}]}]},{"group":"Metadata \u0026 Tags","pages":[{"title":"The Metadata Resource","href":"/api-reference/metadata-resource"},{"title":"The Tag Resource","href":"/api-reference/tag-resource"},{"title":"Retrieve All Metadata","openapi":"GET /api/v1/metadata","href":"/api-reference/metadata-resource-instances"},{"title":"Retrieve A Metadata Record","openapi":"GET /api/v1/metadata/{id}","href":"/api-reference/metadata-resource-get"},{"title":"Retrieve All Tags","openapi":"GET /api/v1/tags","href":"/api-reference/tag-resource-instances"},{"title":"Retrieve A Tag","openapi":"GET /api/v1/tags/{id}","href":"/api-reference/tag-resource-get"},{"title":"Create A Tag","openapi":"POST /api/v1/tags","href":"/api-reference/tag-resource-create"},{"title":"Updating Metadata","openapi":"PATCH /api/v1/metadata/{id}","href":"/api-reference/metadata-resource-patch"}]},{"group":"Analyses","pages":[{"title":"The Analysis Resource","href":"/api-reference/analysis-resource"},{"title":"Retrieve All Analyses","openapi":"GET /api/v1/analyses","href":"/api-reference/analysis-resource-instances"},{"title":"Retrieve An Analysis","openapi":"GET /api/v1/analyses/{id}","href":"/api-reference/analysis-resource-get"},{"title":"Retrieve Analysis Results","openapi":"GET /api/v1/analyses/{id}/results","href":"/api-reference/analysis-resource-results"},{"title":"Retrieve Analysis Output File Details","openapi":"GET /api/v1/analyses/{id}/file_details","href":"/api-reference/analysis-resource-file-details"},{"group":"Classifications","pages":[{"title":"The Classification Resource","href":"/api-reference/classification-resource"},{"title":"Retrieve All Classifications","openapi":"GET /api/v1/classifications","href":"/api-reference/classification-resource-instances"},{"title":"Retrieve A Classification","openapi":"GET /api/v1/classifications/{id}","href":"/api-reference/classification-resource-get"},{"title":"Retrieve Classification Results","openapi":"GET /api/v1/classifications/{id}/results","href":"/api-reference/classification-resource-results"},{"title":"Read-Level Results","openapi":"GET /api/v1/classifications/{id}/readlevel","href":"/api-reference/classification-resource-read-level"}]},{"group":"Functional Profiles","pages":[{"title":"The Functional Profile Resource","href":"/api-reference/functional-profile-resource"},{"title":"Retrieve All Functional Profiles","openapi":"GET /api/v1/functional_profiles","href":"/api-reference/functional-profile-resource-instances"},{"title":"Retrieve A Functional Profile","openapi":"GET /api/v1/functional_profiles/{id}","href":"/api-reference/functional-profile-resource-get"},{"title":"Functional Profile Results","openapi":"GET /api/v1/functional_profiles/{id}/results","href":"/api-reference/functional-profile-resource-results"},{"title":"Functional Profile Filtered Results","openapi":"GET /api/v1/functional_profiles/{id}/filtered_results","href":"/api-reference/functional-profile-resource-filtered-results"}]},{"group":"Panels","pages":[{"title":"The Panel Resource","href":"/api-reference/panel-resource"},{"title":"Retrieve All Panels","openapi":"GET /api/v1/panels","href":"/api-reference/panel-resource-instances"},{"title":"Retrieve A Panel","openapi":"GET /api/v1/panels/{id}","href":"/api-reference/panel-resource-get"},{"title":"Panel Results","openapi":"GET /api/v1/panels/{id}/results","href":"/api-reference/panel-resource-results"}]},{"group":"Alignments","pages":[{"title":"The Alignment Resource","href":"/api-reference/alignment-resource"},{"title":"Retrieve All Alignments","openapi":"GET /api/v1/alignments","href":"/api-reference/alignment-resource-instances"},{"title":"Retrieve An Alignment","openapi":"GET /api/v1/alignments/{id}","href":"/api-reference/alignment-resource-get"}]},{"group":"MLST","pages":[{"title":"The MLST Resource","href":"/api-reference/mlst-resource"},{"title":"Retrieve All MLST Results","openapi":"GET /api/v1/mlsts","href":"/api-reference/mlst-resource-instances"},{"title":"Retrieve An MLST Result","openapi":"GET /api/v1/mlsts/{id}","href":"/api-reference/mlst-resource-get"},{"title":"MLST Results","openapi":"GET /api/v1/mlsts/{id}/results","href":"/api-reference/mlst-resource-results"}]},{"group":"Workflows","pages":[{"title":"The Workflow Resource","href":"/api-reference/workflow-resource"},{"title":"Retrieve All Workflow Runs","openapi":"GET /api/v1/workflows","href":"/api-reference/workflow-resource-instances"},{"title":"Retrieve A Workflow Run","openapi":"GET /api/v1/workflows/{id}","href":"/api-reference/workflow-resource-get"},{"title":"Workflow Results","openapi":"GET /api/v1/workflows/{id}/results","href":"/api-reference/workflow-resource-results"}]}]},{"group":"Jobs","pages":[{"title":"The Job Resource","href":"/api-reference/job-resource"},{"title":"Retrieve All Jobs","openapi":"GET /api/v1/jobs","href":"/api-reference/job-resource-instances"},{"title":"Retrieve A Job","openapi":"GET /api/v1/jobs/{id}","href":"/api-reference/job-resource-get"},{"title":"Job Details","openapi":"GET /api/v1/jobs/{id}/details","href":"/api-reference/job-resource-details"},{"title":"Create A Job","openapi":"POST /api/v1/jobs","href":"/api-reference/job-resource-create"},{"title":"Update A Job","openapi":"PATCH /api/v1/jobs/{id}","href":"/api-reference/job-resource-patch"},{"title":"Run A Job","openapi":"POST /api/v1/jobs/{id}/run","description":null,"href":"/api-reference/job-resource-run"}]},{"group":"Documents","pages":[{"title":"The Document Resource","href":"/api-reference/document-resource"},{"title":"Retrieve All Documents","openapi":"GET /api/v1/documents","description":null,"href":"/api-reference/document-resource-instances"},{"title":"Retrieve A Document","openapi":"GET /api/v1/documents/{id}","href":"/api-reference/document-resource-get"},{"group":"Uploading Documents","pages":[{"title":"Uploading Documents Overview","href":"/api-reference/uploading-documents"},{"title":"Starting a Document Upload","openapi":"POST /api/v1/documents/init_upload","href":"/api-reference/document-resource-upload-file"},{"title":"Confirming an Upload","openapi":"POST /api/v1/documents/confirm_upload","href":"/api-reference/document-resource-confirm-upload"}]},{"title":"Downloading Documents","openapi":"POST /api/v1/documents/{id}/download_uri","href":"/api-reference/document-resource-download"},{"title":"Rename A Document","openapi":"PATCH /api/v1/documents/{id}/rename","href":"/api-reference/document-resource-rename"},{"title":"Delete A Document","openapi":"DELETE /api/v1/documents/{id}","href":"/api-reference/document-resource-delete"},{"group":"Sharing","pages":[{"title":"Share A Document With A User","openapi":"POST /api/v1/documents/{id}/add_user","href":"/api-reference/document-resource-add-user"},{"title":"Revoke A User's Document Access","openapi":"POST /api/v1/documents/{id}/remove_user","href":"/api-reference/document-resource-remove-user"}]}]},{"group":"Webhooks \u0026 Events","pages":[{"title":"Using Webhooks","href":"/api-reference/using-webhooks"},{"title":"Checking Signatures","href":"/api-reference/checking-webhook-signatures"},{"title":"The Webhook Resource","href":"/api-reference/webhook-resource"},{"title":"Retrieve All Webhooks","openapi":"GET /api/v1/webhooks","href":"/api-reference/webhook-resource-instances"},{"title":"Retrieve A Webhook","openapi":"GET /api/v1/webhooks/{id}","href":"/api-reference/webhook-resource-get"},{"title":"Retrieve All Events","openapi":"GET /api/v1/events","href":"/api-reference/event-resource-instances"},{"title":"Retrieve An Event","openapi":"GET /api/v1/events/{id}","href":"/api-reference/event-resource-get"}]},{"group":"Users \u0026 Account","pages":[{"title":"The Account Resource","href":"/api-reference/account-resource"},{"title":"Retrieve The Authenticated Account","openapi":"GET /api/v1/account","href":"/api-reference/account-resource-get"},{"title":"The User Resource","href":"/api-reference/user-resource"},{"title":"Retrieve All Users","openapi":"GET /api/v1/users","href":"/api-reference/user-resource-instances"},{"title":"Retrieve A User","openapi":"GET /api/v1/users/{id}","href":"/api-reference/user-resource-get"}]},{"group":"Sequencing","pages":[{"title":"The Sequencing Batch Resource","href":"/api-reference/sequencing-batch-resource"},{"title":"Retrieve All Sequencing Batches","openapi":"GET /api/v1/sequencing/batches","href":"/api-reference/sequencing-batch-resource-instances"},{"title":"Retrieve A Sequencing Batch","openapi":"GET /api/v1/sequencing/batches/{id}","href":"/api-reference/sequencing-batch-resource-get"},{"title":"Registering a Sequencing Batch","openapi":"POST /api/v1/sequencing/batches/register","href":"/api-reference/sequencing-batch-resource-post"},{"title":"Retrieve Samples in a Sequencing Batch","openapi":"GET /api/v1/sequencing/batches/{id}/samples","href":"/api-reference/sequencing-batch-resource-samples"}]}]},{"tab":"Workflows","pages":[{"title":"Workflows","href":"/workflows/workflows-introduction"}]}]},"basePath":"","title":"The Document Resource - One Codex Developer Docs","buildId":"dpl_8LJbrAiZvr1K98WQNZXCyY5AvT34","deploymentId":"dpl_8LJbrAiZvr1K98WQNZXCyY5AvT34","dynamics":["c2aa737661","2b790eda92","b0f84f53ff","a9bb46feb3"],"chunks":["OpenApiReferenceProvider-i2a3QZ8E.js","utils-ChLwp8m0.js","cloneDeep-izs3Hzxb.js","_Uint8Array-BVIqJ90l.js","isObjectLike-C8vmzPEN.js","isArray-Dcu1dQ5t.js","utils-DRktVTDc.js","toString-BX-iyh8G.js","isSymbol-CSH9U2Gm.js","addUniqueKeysToSchema-CA2pEs4T.js","snippetPresets-ClQ6XrKD.js","style-to-object-BY3JEAdk.js","v4-DIgz8zy6.js","ApiExamples-Ct_Lv36y.js","isEqual-BfaiBbcl.js","usePlaygroundInputsStore-Cn2PYw9e.js","shallow-rkyymjXQ.js","getApiPlaygroundDisplay-BB9vkXtE.js","CodeSnippet-Bm5RU7m1.js","CodeSnippets-BgU9Deuz.js","Page-BUDYNlhG.js","getPastedJson-BD-6NNum.js","icon-8Z6tud2e.js","MethodPill-Tuzr4g3V.js","DuplicateIcon-0ceWFYhN.js","createIcon-FBXow_ST.js","DynamicMarkdown-CD8713Yy.js","SectionHeading-7zgzQbH-.js","axios-vUo_bRtp.js","Markdown-D7Ofw1oz.js","clsx-eKJ4rcii.js","lib-DuNMoZ05.js","lib-B8HbPgcC.js","html-void-elements-mCSPHezU.js","dist-CwjSCXIK.js","katex-YMM-FMeD.js","marked.esm-CZWythHk.js","AssistantPageLink-9EK5IAXV.js"]}